from numpy import *

def freflco(q=None,arho=None,vp=None,dp=None):
    # Fluid Bottom reflection coefficient
    #
    # SYNTAX: Vww = freflco(theta,arho,vp,dp)

    #*******************************************************************************
    # Faro, Qui Set  9 20:59:09 WEST 2021
    # Written by Orlando Camargo Rodriguez
    #*******************************************************************************

       a_p   = vp/( 1.0 + 1j*dp )
       apxap = a_p*a_p
       cosq  = cos( q )
       sinq  = sin( q )
       cqxcq = cosq*cosq
       sinqp = sqrt( 1.0 - apxap*cqxcq )
       zwp   = arho*a_p*sinq/sinqp
       Vww   = ( zwp - 1.0 )/( zwp + 1.0 )

       return Vww
