from numpy import *

def freflco(q=None,arho=None,cw=None,cp=None,alphap=None):
    # Fluid Bottom reflection coefficient
    #
    # SYNTAX: Vww = freflco(theta,rho,cw,cp,ap)

    #*******************************************************************************
    # Faro, Qui Set  9 21:17:17 WEST 2021
    # Written by Orlando Camargo Rodriguez
    #*******************************************************************************

# High-Frequency Bistatic Scattering Model for Elastic Seafloors
# Darrell R. Jackson
# Technical Memorandum
# APL-UW TM 2-00
# February 2000

       vp    = cp/cw
       dp    = alphap*vp*log( 10 )/( 40.0*pi )
       a_p   = vp/( 1.0 + 1j*dp )
       apxap = a_p*a_p
       cosq  = cos( q )
       sinq  = sin( q )
       cqxcq = cosq*cosq
       sinqp = sqrt( 1.0 - apxap*cqxcq )
       zwp   = arho*a_p*sinq/sinqp
       Vww   = ( zwp - 1.0 )/( zwp + 1.0 )

       return Vww
